import React from 'react';
import { BreadcrumbsProps } from '@mui/material';
import './adminBreadcrumbs-styles.scss';
export interface IBreadcrumbItemProps {
    /** label: Label text to display for the breadcrumb item */
    label: string;
    /** to: Link target URL (href attribute) */
    to?: string;
    /** onClick: Click handler function for the breadcrumb item */
    onClick?: React.MouseEventHandler<HTMLAnchorElement> | undefined;
    /** labelClassName: className for the label of each breadcrumbs */
    labelClassName?: string;
    /** linkClassName: className for the label of each breadcrumbs */
    linkClassName?: string;
}
interface IAdminBreadcrumbsProps extends BreadcrumbsProps {
    /** items: Array of objects representing each breadcrumb item */
    items: IBreadcrumbItemProps[];
}
declare const AdminBreadcrumbs: (props: IAdminBreadcrumbsProps) => import("react/jsx-runtime").JSX.Element;
export default AdminBreadcrumbs;
