import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import dayjs from 'dayjs';
import { Typography } from '@mui/material';
import AdminTimePicker from '../date-time-picker/AdminTimePicker';
import './dateTimeRangePicker-styles.scss';
const TimeRangePicker = (props) => {
    const { value, onChange = () => { }, timeFormat, label, errors } = props;
    const { startTime = null, endTime = null } = value || {};
    const handleStartChange = (startTime) => {
        onChange({ startTime, endTime: value?.endTime || '' });
    };
    const handleEndChange = (endTime) => {
        onChange({ startTime: value?.startTime || '', endTime });
    };
    return (_jsxs("div", { children: [_jsx(Typography, { className: "timeRangePicker__label", children: label }), _jsxs("div", { className: "timeRangePicker__container", children: [_jsx(AdminTimePicker, { onChange: handleStartChange, value: dayjs(endTime).isBefore(dayjs(endTime), 'hours') ? endTime : startTime, timeFormat: timeFormat, error: !!errors?.startTime, helperText: errors?.startTime?.message }), _jsx(AdminTimePicker, { onChange: handleEndChange, value: dayjs(startTime).isAfter(dayjs(endTime), 'hours') ? startTime : endTime, timeFormat: timeFormat, error: !!errors?.endTime, helperText: errors?.endTime?.message })] })] }));
};
export default TimeRangePicker;
