import React from 'react';
import { ConfirmationModalPreset } from '../../../constants/common-constants';
import './confirmationModal-styles.scss';
interface ConfirmationModalProps {
    /** buttonTitle: is an optional prop which dictates the title for the main button. */
    buttonTitle?: string;
    /** containerClassName: is an optional prop for which dictates the class for modal container */
    containerClassName?: string;
    /** open: is an optional prop which determines if the modal is open or closed. */
    open: boolean;
    /** onButtonClick:  is an required prop which dictates function triggered when the main button is clicked. */
    onButtonClick: () => void;
    /** onClose: is an required prop which dictates callback function triggered when the modal is closed. */
    onClose: () => void;
    /** headerClassName: is an optional prop which dictates the class name for the modal header container. */
    headerClassName?: string;
    /** headerTitle: is an optional prop which dictates the title for the modal header. */
    headerTitle?: string;
    /** headerTitleClassName: is an optional prop which dictates the class name for the header title. */
    headerTitleClassName?: string;
    /** closeIconClassName: is an optional prop which dictates the class name for the close icon. */
    closeIconClassName?: string;
    /** modalType: is an required prop which dictates the type of the modal. */
    modalType: ConfirmationModalPreset;
    /** subHeaderTitle: is an optional prop which dictates the subheading title. */
    subHeaderTitle?: string;
    /** subHeaderTitleClassName: is an optional prop which dictates the class name for the subheader title. */
    subHeaderTitleClassName?: string;
}
declare const ConfirmationModal: React.FC<ConfirmationModalProps>;
export default ConfirmationModal;
