import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { useSearchParams } from 'react-router-dom';
import { observer } from 'mobx-react-lite';
import { Menu as MenuIcon } from '@mui/icons-material';
import { AppBar, Avatar } from '@mui/material';
import PageHeader from '../../components/header/Header';
import AdminSideDrawer from '../../components/side-drawer/AdminSideDrawer';
import { translate } from '../../locales/translations';
import DrawerChildren from './DrawerChildren';
import './adminNavBar-styles.scss';
const AdminNavBar = observer((props) => {
    const { handleHamburgerClick = () => { } } = props;
    const [dropdownOpen, setDropdownOpen] = useState(false);
    const [searchParams] = useSearchParams();
    const title = searchParams.get('title') || '';
    const totalRecords = searchParams.get('totalRecords') || 0;
    const toggleDropdown = () => {
        setDropdownOpen(!dropdownOpen);
    };
    const renderLogoContainer = () => (_jsx("div", { className: "adminNavBar__menuContainer", children: _jsx(MenuIcon, { onClick: handleHamburgerClick }) }));
    return (_jsxs(AppBar, { className: "adminNavBar__container", children: [renderLogoContainer(), _jsx(PageHeader, { title: title, totalRecordsCount: +totalRecords }), _jsx("div", { className: "adminNavBar__wrapper", children: _jsx("div", { className: "adminNavBar__userContainer", onClick: toggleDropdown, children: _jsx(Avatar, { src: 'https://assets.minimals.cc/public/assets/images/mock/avatar/avatar-25.webp' }) }) }), _jsx(AdminSideDrawer, { open: dropdownOpen, onClose: toggleDropdown, title: translate.components.dashboardHeader.drawerTitle, containerClass: "adminNavBar__sideDrawer", childrenContainerClass: "adminNavBar__sideDrawerChildren", showHeader: false, children: _jsx(DrawerChildren, { toggleDropdown: toggleDropdown }) })] }));
});
export default AdminNavBar;
