import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { FormHelperText, Typography } from '@mui/material';
import FormControl from '@mui/material/FormControl';
import FormControlLabel from '@mui/material/FormControlLabel';
import Radio from '@mui/material/Radio';
import RadioGroup from '@mui/material/RadioGroup';
import './adminRadio-styles.scss';
const AdminRadio = (props) => {
    const renderOption = (selectedId) => function renderOption(option) {
        const { id, label } = option;
        return (_jsx(FormControlLabel, { value: id, control: _jsx(Radio, { checked: selectedId === option.id, className: `adminRadio__radioButton ${className}` }), label: label, className: "adminRadio__radioLabel" }, id));
    };
    const { label, options, className = '', error, helperText, ...rest } = props;
    return (_jsxs(FormControl, { ...rest, error: error, className: "adminRadio__container", children: [_jsx(Typography, { children: label }), _jsx(RadioGroup, { className: "adminRadio__radioGroup", children: options.map(renderOption(rest.value)) }), _jsx(FormHelperText, { className: "adminRadio__helperText", children: helperText })] }));
};
export default memo(AdminRadio);
